# $Revision: 1.5 $, $Date: 2001/09/28 02:47:50 $
Summary:	Cute little penguins that walk along the tops of your windows
Summary(pl):	Mae pingwiny chodzce po okienkach
Name:		xpenguins_applet
Version:	1.0
Release:	2
License:	GPL
Group:		X11/Amusements
Group(de):	X11/Unterhaltung
Group(pl):	X11/Rozrywka
Source0:	http://xpenguins.seul.org/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fixes.patch
URL:		http://xpenguins.seul.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	gnome-core-devel
BuildRequires:	imlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc/X11/GNOME

%description
This program is a GNOME panel applet that animates a friendly family
of penguins in your root window. They drop in from the top of the
screen, walk along the tops of your windows, up the side of your
windows, up the side of the screen, and sometimes even levitate with
their genetically-modified go-go-gadget 'copter ability.

%description -l pl
To jest aplet GNOME animujce przyjazn rodzin pingwinw w gwnym
okienku. Spadaj z gry ekranu, chodz po grnych krawdziach okienek,
czasem nawet lewituj korzystajc z wszczepionego koptera.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
gettextize --copy --force
libtoolize --copy --force
aclocal -I %{_aclocaldir}/gnome
autoconf
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%{_sysconfdir}/CORBA/servers/xpenguins_applet.gnorba
%attr(755,root,root) %{_bindir}/xpenguins_applet
%{_datadir}/applets/Amusements/xpenguins_applet.desktop
%{_pixmapsdir}/gnome-xpenguins.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xpenguins_applet.spec,v $
Revision 1.5  2001/09/28 02:47:50  kloczek
- release 2.

Revision 1.4  2001/09/26 13:37:42  qboosh
- BuildRequires: gettext-devel, added pl translation

Revision 1.3  2001/08/18 00:35:06  kloczek
- updated to 1.0 (seems this version is useable).

Revision 1.2  2001/05/07 18:48:24  kloczek
- rewrited but seems not finished yet.

* Sun Oct 29 2000 Robin Hogan <R.J.Hogan@reading.ac.uk> xpenguins_applet 0.9beta0-1
- Rewrote xpenguins spec file for xpenguins_applet
* Tue May 23 2000 Robin Hogan <R.J.Hogan@reading.ac.uk> xpenguins 1.2-1
- Use BuildRoot.

# end of file
